# NM_DDM_Base Class Reference

`#include <NM_Classes.hh>`

Inheritance diagram for NM_DDM_Base:

[legend]

List of all members.

## Public Types
typedef NM_WithHandleArray | Super
## Public Member Functions
| NM_DDM_Base ()
virtual | ~NM_DDM_Base ()
virtual void | serialize (MessageBuffer &msgBuffer)=0
| Serialize the message into a buffer.
virtual void | deserialize (MessageBuffer &msgBuffer)=0
| DeSerialize the message from a buffer.
const SpaceHandle | getSpace () const
void | setSpace (SpaceHandle newSpace)
const int32_t | geNbExtents () const
void | setNbExtents (int32_t newNbExtents)
const int32_t | getRegion () const
void | setRegion (int32_t newRegion)
const ObjectHandle | getObject () const
void | setObject (ObjectHandle newObject)
const ObjectClassHandle | getObjectClass () const
void | setObjectClass (ObjectClassHandle newObjectClass)
const InteractionClassHandle | getInteractionClass () const
void | setInteractionClass (InteractionClassHandle newInteractionClass)
## Protected Attributes
bool | DDM_bool

## Detailed Description

Definition at line 53 of file NM_Classes.hh.

## Member Typedef Documentation

typedef NM_WithHandleArray Super

Reimplemented from NM_WithHandleArray.

Reimplemented in NM_DDM_Create_Region, NM_DDM_Modify_Region, NM_DDM_Delete_Region, NM_DDM_Associate_Region, NM_DDM_Register_Object, NM_DDM_Unassociate_Region, NM_DDM_Subscribe_Attributes, NM_DDM_Unsubscribe_Attributes, NM_DDM_Subscribe_Interaction, and NM_DDM_Unsubscribe_Interaction.

Definition at line 55 of file NM_Classes.hh.

## Constructor & Destructor Documentation

NM_DDM_Base | ( |  | ) |

Definition at line 377 of file NM_Classes.cc.

References NM_DDM_Base::DDM_bool, NetworkMessage::name, NetworkMessage::nbExtents, NetworkMessage::NOT_USED, NetworkMessage::objectClass, NetworkMessage::region, NetworkMessage::space, and NetworkMessage::type.

~NM_DDM_Base | ( |  | ) | `[virtual]`

Definition at line 389 of file NM_Classes.cc.

## Member Function Documentation

virtual void serialize | ( | MessageBuffer & | msgBuffer | ) | `[pure virtual]`

Serialize the message into a buffer.

Reimplemented from NM_WithHandleArray.

Implemented in NM_DDM_Create_Region, NM_DDM_Modify_Region, NM_DDM_Delete_Region, NM_DDM_Associate_Region, NM_DDM_Register_Object, NM_DDM_Unassociate_Region, NM_DDM_Subscribe_Attributes, NM_DDM_Unsubscribe_Attributes, and NM_DDM_Subscribe_Interaction.

virtual void deserialize | ( | MessageBuffer & | msgBuffer | ) | `[pure virtual]`

DeSerialize the message from a buffer.

Reimplemented from NM_WithHandleArray.

Implemented in NM_DDM_Create_Region, NM_DDM_Modify_Region, NM_DDM_Delete_Region, NM_DDM_Associate_Region, NM_DDM_Register_Object, NM_DDM_Unassociate_Region, NM_DDM_Subscribe_Attributes, NM_DDM_Unsubscribe_Attributes, and NM_DDM_Subscribe_Interaction.

const SpaceHandle getSpace | ( |  | ) | const`[inline]`

Reimplemented in NM_DDM_Create_Region.

Definition at line 61 of file NM_Classes.hh.

void setSpace | ( | SpaceHandle | newSpace | ) | `[inline]`

Reimplemented in NM_DDM_Create_Region.

Definition at line 62 of file NM_Classes.hh.

const int32_t geNbExtents | ( |  | ) | const`[inline]`

Definition at line 64 of file NM_Classes.hh.

void setNbExtents | ( | int32_t | newNbExtents | ) | `[inline]`

Definition at line 65 of file NM_Classes.hh.

const int32_t getRegion | ( |  | ) | const`[inline]`

Reimplemented in NM_DDM_Create_Region, NM_DDM_Modify_Region, NM_DDM_Delete_Region, and NM_DDM_Associate_Region.

Definition at line 67 of file NM_Classes.hh.

void setRegion | ( | int32_t | newRegion | ) | `[inline]`

Definition at line 68 of file NM_Classes.hh.

const ObjectHandle getObject | ( |  | ) | const`[inline]`

Reimplemented in NM_DDM_Associate_Region.

Definition at line 70 of file NM_Classes.hh.

void setObject | ( | ObjectHandle | newObject | ) | `[inline]`

Reimplemented in NM_DDM_Associate_Region.

Definition at line 71 of file NM_Classes.hh.

const ObjectClassHandle getObjectClass | ( |  | ) | const`[inline]`

Definition at line 73 of file NM_Classes.hh.

void setObjectClass | ( | ObjectClassHandle | newObjectClass | ) | `[inline]`

Definition at line 74 of file NM_Classes.hh.

const InteractionClassHandle getInteractionClass | ( |  | ) | const`[inline]`

Definition at line 76 of file NM_Classes.hh.

void setInteractionClass | ( | InteractionClassHandle | newInteractionClass | ) | `[inline]`

Definition at line 77 of file NM_Classes.hh.

## Member Data Documentation

bool DDM_bool`[protected]`

Definition at line 77 of file NM_Classes.hh.

Referenced by NM_DDM_Subscribe_Interaction::deserialize(), NM_DDM_Subscribe_Attributes::deserialize(), NM_DDM_Register_Object::deserialize(), NM_DDM_Associate_Region::deserialize(), NM_DDM_Base::NM_DDM_Base(), NM_DDM_Subscribe_Interaction::serialize(), NM_DDM_Subscribe_Attributes::serialize(), NM_DDM_Register_Object::serialize(), and NM_DDM_Associate_Region::serialize().

The documentation for this class was generated from the following files:

- NM_Classes.hh
- NM_Classes.cc